

/*****************************************************************/

		var _SECTIONS=1;
		var _QUESTIONS=0;
		var _SCALE=0;
		var _COMMENT=false;

	 	function initFB() {
			doInitialize();
			setFormData();
	 	}
	 	



	 	
	 	function finishFB() {
	 		doTerminate();
	 	}

		/*
		* this function set the data of the user, he has entered before
		*/
		function setFormData() {
			var status=doGetValue("cmi.completion_status");
			if (status=="completed") {
				setGivenAnswers();
			}
		}

		/*
		* this function sets the data which was already given by the user
		*/
		function setGivenAnswers() {
			// select the answers for the rating questions
			for (var i=0;i<_QUESTIONS;i++) {
				var id=doGetValue("cmi.interactions."+i+".id");
				var value=doGetValue("cmi.interactions."+i+".learner_response");
				var buttons=FEEDBACK.getElementsByTagName("input");
				for (var j=i*_SCALE;j<(i+1)*_SCALE;j++) {
					var button=buttons.item(j);
					if (button.value==value) button.checked=true;
				}
			}

			// set the comment value
			if (_COMMENT==true) {
				var textcomment=doGetValue("cmi.interactions."+_QUESTIONS+".learner_response");
				if (textcomment!="") {
					FEEDBACK.COMMENT.value=textcomment;
				}
			}

		}



	 	/*
	 	* this function is called when the save button is clicked
	 	* and saves the results of the rating questions and the comment
	 	* the status is set to completed and a message for the successful save is shown
	 	*/
	 	function evaluate() {
			var question_count=evaluateRadioQuestions();
			if (_COMMENT==true) {
				evaluateComment(question_count);
			}

			doSetValue("cmi.completion_status","completed");
			
			document.getElementById("displaytext").style.display=''; 

	 	}


	 	/*
	 	*	evaluates all questions with radio buttons and sets the result over the SCORM-API
	 	*/
	 	function evaluateRadioQuestions() {
	 		var questions=FEEDBACK.getElementsByTagName("input");
			Result=0;
	 		for (var i=0;i<questions.length;i++) {

	 			var answer=questions.item(i);
	 			if (answer.checked && answer.type=="radio")	{
	 				number=parseInt(i/_SCALE);
	 				doSetValue("cmi.interactions."+number+".id",answer.name);  //answer.name);
	 				doSetValue("cmi.interactions."+number+".type","likert");
	 				doSetValue("cmi.interactions."+number+".weighting",_SCALE);
	 				doSetValue("cmi.interactions."+number+".description",answer.name);
	 				doSetValue("cmi.interactions."+number+".learner_response",answer.value);
		 			Result=Result+1;
	 			}
	 		}
	 		return Result;
	 	}
	 	/*
	 	* evaluates the comment and sets the result over the SCORM-API
	 	*/
	 	function evaluateComment(count) {
	 		var textarea=FEEDBACK.COMMENT;
	 		if (textarea.value!="") {
				// set the comment over SCORM-API
 				doSetValue("cmi.interactions."+count+".id","COMMENT");
 				doSetValue("cmi.interactions."+count+".type","long-fill-in");
 				doSetValue("cmi.interactions."+count+".description","COMMENT");
				doSetValue("cmi.interactions."+count+".learner_response",textarea.value);
			}
			else {
				// set the comment over SCORM-API
 				doSetValue("cmi.interactions."+count+".id","COMMENT");
 				doSetValue("cmi.interactions."+count+".type","long-fill-in");
 				doSetValue("cmi.interactions."+count+".description","COMMENT");
				doSetValue("cmi.interactions."+count+".learner_response"," ");			
			}
	 	}

