	/* init SCORM API */
	function initQuiz25() {
		doInitialize();
	}
	
	/* close SCORM API */
	function finishQuiz25() {
		doTerminate();
	}

	function calculate() {
		quizscore=0;
		maxscore=0;
		itemscore=true; /* a item answered completely right */
		itemName="";
		var answers=document.getElementsByTagName("input");
		// number of found input tags is one more as expected, because of submit button is the last one!!!
		for (i=0;i<answers.length-1;i++) {
			if (itemName != answers[i].name){ /* is it a new item? */
				itemName=answers[i].name; 
				if (i>0){ /* is it not the init of the first item? */
					if (itemscore){ /* if all answers are o.k. */
						quizscore++;
					}
					maxscore++;
					itemscore=true;
				}	
			}
			if (answers[i].value==1) { /* set the right colors */
				answers[i].parentNode.parentNode.style.backgroundColor = "#CBDBD7";
			}
			else {
				answers[i].parentNode.parentNode.style.backgroundColor = "#FFFFFF";
			}
			if ((answers[i].checked==false & answers[i].value==1) |
				(answers[i].checked==true & answers[i].value==0)){
				/* if one of the item answers is wrong then the complete item is wrong! */
				itemscore=false;
			}
			if (i == answers.length-2){ /* this is the last loop, last item!! */
				if (itemscore){ /* if all answers are o.k. */
					quizscore=quizscore+1;
				}
				maxscore=maxscore+1;
			}	
		}
		
		/* search all div tags and reset the display attribut to show all hidden explanation text */
		var answersFeedback=document.getElementsByTagName("div");
		for (j=0;j<answersFeedback.length;j++) {
			if (answersFeedback[j].style.display == "none") {
				answersFeedback[j].style.display = ''; 
			}
		}
		
		/* set the result and feedback text*/
		resultText = "";
		var failedLevel = 0;
		if (quizscore == maxscore){
		   resultText = document.getElementById("feedbacklevel1").firstChild.nodeValue
		} 
		else{
			if (quizscore == 0){
				resultText = document.getElementById("feedbacklevel3").firstChild.nodeValue
			} 
			else{
				failedLevel = (maxscore / 2) - 1; 
				if (quizscore >= failedLevel){
					resultText = document.getElementById("feedbacklevel2").firstChild.nodeValue
				} 
				else{
					resultText = document.getElementById("feedbacklevel3").firstChild.nodeValue
				} 
			} 
		}
		
		var feedbacktext = "  " + quizscore + "/" + maxscore + ".  " + resultText;
  		document.getElementById("displaytext").firstChild.nodeValue  = document.getElementById("scoretext").firstChild.nodeValue + feedbacktext;
        document.getElementById("resulttext").style.display = '';
        document.getElementById("displaytext").style.display = '';
        document.getElementById("submit").style.display = 'none';
		
		doSetValue("cmi.completion_status","completed"); /* send complete status via SCORM if submit was clicked  */
		doSetValue("cmi.success_status","passed"); /* send passed status via SCORM if submit was clicked  */

	}